MojoMojo::Controller::PageAdmin(3)

NAME
MojoMojo::Controller::PageAdmin - MojoMojo Page Administration

SYNOPSIS
See MojoMojo

DESCRIPTION
Methods for updating pages: edit, rollback, permissions change, rename.

METHODS

  auto
Check that user is logged in and has rights to this page.

  unauthorized
Private action to return a 403 with an explanatory template.

  edit
This action will display the edit form, then save the previous revision, and create a new one based on the posted content. After saving, it will forward to the highlight action.

  permissions
This action allows page permissions to be displayed and edited.

  rollback
This action will revert a page to a older revision.

  title ( .info/title )
AJAX method for renaming a page. Creates a new PageVersion with the rename, so that the renaming itself could in the future be shown in the page history.

AUTHOR
Marcus Ramberg <mramberg@cpan.org>

LICENSE
This library is free software. You can redistribute it and/or modify it under the same terms as Perl itself.